{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.scar_ammo": {
      "states": {
        "default": {
          "transitions": [
            {
              "reload": "(variable.scar_ammo == -50) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_0": "(variable.scar_ammo <= 0) && (variable.scar_ammo >= -10) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_1": "(variable.scar_ammo == 1) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_2": "(variable.scar_ammo == 2) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_3": "(variable.scar_ammo == 3) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_4": "(variable.scar_ammo == 4) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_5": "(variable.scar_ammo == 5) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_6": "(variable.scar_ammo == 6) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_7": "(variable.scar_ammo == 7) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_8": "(variable.scar_ammo == 8) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_9": "(variable.scar_ammo == 9) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_10": "(variable.scar_ammo == 10) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_11": "(variable.scar_ammo == 11) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_12": "(variable.scar_ammo == 12) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_13": "(variable.scar_ammo == 13) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_14": "(variable.scar_ammo == 14) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_15": "(variable.scar_ammo == 15) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_16": "(variable.scar_ammo == 16) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_17": "(variable.scar_ammo == 17) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_18": "(variable.scar_ammo == 18) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_19": "(variable.scar_ammo == 19) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_20": "(variable.scar_ammo == 20) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_21": "(variable.scar_ammo == 21) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_22": "(variable.scar_ammo == 22) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_23": "(variable.scar_ammo == 23) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_24": "(variable.scar_ammo == 24) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_25": "(variable.scar_ammo == 25) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_26": "(variable.scar_ammo == 26) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_27": "(variable.scar_ammo == 27) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_28": "(variable.scar_ammo == 28) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_29": "(variable.scar_ammo == 29) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_30": "(variable.scar_ammo == 30) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_31": "(variable.scar_ammo == 31) && (query.get_equipped_item_name=='scar')"
            },
            {
              "ammo_32": "(variable.scar_ammo == 32) && (query.get_equipped_item_name=='scar')"
            }
          ]
        },
        "reload": {
          "on_entry": [
            "/title @s actionbar §l§6Reloading..."
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_0": {
          "on_entry": [
            "/title @s actionbar §l0/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_1": {
          "on_entry": [
            "/title @s actionbar §l1/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_2": {
          "on_entry": [
            "/title @s actionbar §l2/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_3": {
          "on_entry": [
            "/title @s actionbar §l3/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_4": {
          "on_entry": [
            "/title @s actionbar §l4/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_5": {
          "on_entry": [
            "/title @s actionbar §l5/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_6": {
          "on_entry": [
            "/title @s actionbar §l6/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_7": {
          "on_entry": [
            "/title @s actionbar §l7/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_8": {
          "on_entry": [
            "/title @s actionbar §l8/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_9": {
          "on_entry": [
            "/title @s actionbar §l9/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_10": {
          "on_entry": [
            "/title @s actionbar §l10/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_11": {
          "on_entry": [
            "/title @s actionbar §l11/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_12": {
          "on_entry": [
            "/title @s actionbar §l12/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_13": {
          "on_entry": [
            "/title @s actionbar §l13/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_14": {
          "on_entry": [
            "/title @s actionbar §l14/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_15": {
          "on_entry": [
            "/title @s actionbar §l15/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_16": {
          "on_entry": [
            "/title @s actionbar §l16/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_17": {
          "on_entry": [
            "/title @s actionbar §l17/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_18": {
          "on_entry": [
            "/title @s actionbar §l18/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_19": {
          "on_entry": [
            "/title @s actionbar §l19/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_20": {
          "on_entry": [
            "/title @s actionbar §l20/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_21": {
          "on_entry": [
            "/title @s actionbar §l21/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_22": {
          "on_entry": [
            "/title @s actionbar §l22/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_23": {
          "on_entry": [
            "/title @s actionbar §l23/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_24": {
          "on_entry": [
            "/title @s actionbar §l24/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_25": {
          "on_entry": [
            "/title @s actionbar §l25/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_26": {
          "on_entry": [
            "/title @s actionbar §l26/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_27": {
          "on_entry": [
            "/title @s actionbar §l27/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_28": {
          "on_entry": [
            "/title @s actionbar §l28/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_29": {
          "on_entry": [
            "/title @s actionbar §l29/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_30": {
          "on_entry": [
            "/title @s actionbar §l30/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_31": {
          "on_entry": [
            "/title @s actionbar §l31/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "ammo_32": {
          "on_entry": [
            "/title @s actionbar §l32/32"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        }
      }
    }
  }
}